org.apache.tomcat.util.bcel.classfile

## Class ConstantClass

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantClass

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantClass
    extends Constant

This class is derived from the abstract Constant class and represents a reference to a (external) class.

Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`tag`

### Constructor Summary

Constructors
Constructor and Description
`ConstantClass(int name_index)`

### Method Summary

Methods
`int` `getNameIndex()`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`clone, equals, getTag, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstantClass

    public ConstantClass(int name_index)

Parameters:
  `name_index` - Name index in constant pool. Should refer to a ConstantUtf8.

### Method Detail

#### getNameIndex

    public final int getNameIndex()

Returns:
  Name index in constant pool of class name.

#### toString

    public final String toString()

Overrides:
  `toString` in class `Constant`
Returns:
  String representation.